Bug 142916 - AGPGART has PCI write-posting issues.
AGPGART has PCI write-posting issues.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 18:41 EST by Michal Jaegermann
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-01 14:40:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-12-14 18:41:11 EST
Description of problem:

The following showed up in a startup messages with 2.6.9-1.1032_FC4smp

Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected AMD 760MP chipset
agpgart: Maximum main memory to use for agp memory: 440M
Badness in ipi_handler at drivers/char/agp/generic.c:994
 [<c0201472>] ipi_handler+0x42/0x59
 [<c0116b74>] smp_call_function_interrupt+0x3a/0x76
 [<c010673a>] call_function_interrupt+0x1a/0x20
 [<c0104018>] default_idle+0x0/0x2c
 [<c0104041>] default_idle+0x29/0x2c
 [<c010409d>] cpu_idle+0x26/0x3b
agpgart: AGP aperture is 64M @ 0xec000000

When booting on the same hardware 2.6.9-1.1021_FC4smp I see
the same four "agpgart" lines as above but no "badness" message
in between.

I also do not see anything similar on my other test machine
running 2.6.9-1.1032 but this is x86_64 uniprocessor box.

The affected box it some Tyan SMP of some sort board and 'lspci'
shows this:
-[0000:00]-+-00.0  Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P]
System Controller
           +-01.0-[0000:01]--
           +-07.0  Advanced Micro Devices [AMD] AMD-768 [Opus] ISA
           +-07.1  Advanced Micro Devices [AMD] AMD-768 [Opus] IDE
           +-07.3  Advanced Micro Devices [AMD] AMD-768 [Opus] ACPI
           \-10.0-[0000:02]--+-04.0  3Com Corporation 3c905C-TX/TX-M
[Tornado]
                             +-06.0  ATI Technologies Inc Radeon RV100
QY [Radeon 7000/VE]
                             +-07.0  OPTi Inc. 82C861
                             +-07.1  OPTi Inc. 82C861
                             \-08.0  3Com Corporation 3c905C-TX/TX-M
[Tornado]

Version-Release number of selected component (if applicable):
vmlinuz-2.6.9-1.1032_FC4smp

How reproducible:
100%
Comment 1 Dave Jones 2004-12-15 01:23:24 EST
ah, thats my bad. It's actually harmless, it's warning about an
excessive delay in an interrupt handler. That delay was added to work
around a real bug, which is going to take a while to fix up properly.

I'll retitle this bug, and appropriate it for the purpose of fixing
this properly.
Comment 2 Bob Arendt 2004-12-29 12:03:31 EST
Also shows up on a ASUS P4P800 M/B:
-[0000:00]-
 +-00.0  Intel Corp. 82865G/PE/P DRAM Controller/Host-Hub Interface
 +-01.0-[0000:01]----00.0  nVidia Corporation NV18 [GeForce4 MX 440
AGP 8x]
 +-1d.0  Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
 +-1d.1  Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
 +-1d.2  Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI #3
 +-1d.3  Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
 +-1d.7  Intel Corp. 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
 +-1e.0-[0000:02]----05.0  3Com Corporation 3c940 10/100/1000Base-T
[Marvell]
 +-1f.0  Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
 +-1f.1  Intel Corp. 82801EB/ER (ICH5/ICH5R) IDE Controller
 +-1f.3  Intel Corp. 82801EB/ER (ICH5/ICH5R) SMBus Controller
 \-1f.5  Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
Comment 3 Dave Jones 2005-01-01 14:40:47 EST
fixed in current tree.

Note You need to log in before you can comment on or make changes to this bug.